@font-face {
    font-family: Lato;
    src: url(../font/Lato/Lato-Regular.ttf);
}

@font-face {
    font-family: LatoBold;
    src: url(../font/Lato/Lato-Bold.ttf);
}

@font-face {
    font-family: MarckScript;
    src: url(../font/Marck_Script/MarckScript-Regular.ttf);
}

html {
  height: 100vh;
}

body {
  background-image: url(../img/bg/y-so-serious-white.png);
  font-family: Lato, sans-serif;
  padding-bottom: 70px;
  padding-right: 0px !important;
    height: 100vh;
}

div.jumbotron {
  background-color: hsl(30, 30%, 60%);
}

div.small-header {
  background-color: hsl(0, 0%, 48%);
}

.content {
  min-height: 100vh;
  height: 100vh;
}

.main-content {
  padding-top: 1em;
  background-color: hsl(40, 0%, 100%);
  border-width: 0 2px 2px 2px;
  border-style: solid;
  border-color: hsl(40, 0%, 98%);
}

.btn-primary, .btn-primary:hover, .btn-primary:active, .btn-primary:visited {
  background-color: hsl(30, 100%, 45%) !important; 
  border-color: hsl(30, 90%, 30%) !important;
  color: white;
}

.header h1 {
  line-height: 2em;
  vertical-align: middle;
  font-size: 1.5rem;
  color: white;
  font-family: LatoBold, sans-serif;
  font-variant: all-small-caps;
  margin-left: 5px;
} 

.header p {
  color: white;
  margin-left: 5px;
} 

h3 {
  font-family: LatoBold, sans-serif;
  font-size: 1.5rem;
  color: hsl(30, 30%, 40%);
  font-variant: all-small-caps;
}

#recent-entries {
  margin-bottom: 3em;
}

div.small-header {
  text-align: left;
  padding-left: 10px;
}

div.small-header h1 {
  display: inline-block;
}

div.small-header p {
  display: inline-block;
}

div.diary-entry {
  border-bottom: 1px solid #ddd;
  margin-bottom: 15px;
  padding-bottom: 5px;
}

div.diary-entry .diary-entry-text {
  overflow-wrap: break-word;
  white-space: pre-wrap;
}

div.diary-entry .diary-entry-controls i {
  color: hsl(30, 30%, 80%);
}

div.diary-entry .diary-entry-tags {
  text-align: right;
  color: hsl(30, 30%, 40%);
}

.diary-tag-display {
  display: inline-block;
  padding: 0 5px;
  border-radius: 3px;
  border: 1px solid hsl(30, 60%, 60%);
  color: hsl(30, 60%, 60%);
  background-color: white;
  margin: 2px 0;
}

.diary-tag-display.selected {
  background-color: hsl(100, 40%, 60%);
  border: 1px solid hsl(100, 60%, 40%);
  color: white;
}

.diary-tag {
  display: inline-block;
  padding: 5px;
  margin: 2px 1px 2px 0px;
  border-radius: 3px;
  border: 1px solid hsl(30, 60%, 60%);
  color: hsl(30, 60%, 60%);
  background-color: white;
  -moz-user-select: none; -webkit-user-select: none; -ms-user-select:none; 
  user-select:none;-o-user-select:none;
}

h3.diary-entry-heading-3 {
  font-size: 1.3em;
  text-transform: uppercase;
  color: hsl(30deg, 70%, 60%);
  margin: 0 0 0.3em 0;
  padding: 0;
}

.diary-tag:hover {
  cursor: pointer;
  cursor: hand;
}

#diary-tag-combos {
  display: flex;
  flex-wrap: wrap;
}

.diary-tag-combo {
  display: flex; 
  align-items: center;
  justify-content: center;
  padding: 5px;
  margin: 2px 3px 2px 0px;
  border-radius: 3px;
  color: hsl(30, 58%, 70%);
  background-color:hsl(30, 50%, 10%);
  flex: 1 1 30%;
  text-align: center;
  font-variant: all-small-caps;
  font-weight: bold;
  border: 0;
}

.diary-tag-combo:hover {
  cursor: pointer;
  cursor: hand;
}

.diary-tag-combo.active {
  background-color: hsl(30, 100%, 42%);
  color: white;
  box-shadow: 0px 0px 6px #946d3c;
}

.diary-tag.selected {
  background-color: hsl(100, 40%, 60%);
  border: 1px solid hsl(100, 60%, 40%);
  color: white;
}

.diary-tag.exclude {
  background-color: hsl(0, 60%, 60%);
  border: 1px solid hsl(0, 60%, 50%);
  color: white;
}

.diary-tag.selected::before {
  font-family: "Font Awesome 5 Free"; font-weight: 900; content: "\f0fe ";
  font-size: .75em;
  margin-right: .5em;
}

.diary-tag.exclude::before {
  font-family: "Font Awesome 5 Free"; font-weight: 900; content: "\f146 ";
  font-size: .75em;
  margin-right: .5em;
}

#diary-related-tags-header {
  white-space: nowrap;
}

#header-user-img {
  border-radius: 50%;
  width: 2.5rem;
  height: 2.5rem;
  border: 3px solid hsl(30, 60%, 90%);
  background-color: hsl(30, 60%, 90%);
}

#header-user-email {
  color: hsl(30, 50%, 20%);
}

.no-border:focus {
  outline: none;
  box-shadow: none;
}

.round-img {
  border-radius: 50%;
  width: 80%;
}

.front-page-main h1 {
  font-size: 3rem;
  font-family: Lato, sans-serif;
  color: hsl(30, 50%, 20%);
}

.front-page-main p {
  font-family: MarckScript, sans-serif;
  font-display: swap;
  color: hsl(30, 50%, 20%);
  font-size: 116%;
}

.big-quote {
  font-family: serif;
  font-size: 160%;
}

.transform-center {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

@media (min-width: 600px) {
  .front-page-main {
    padding-bottom: 4em;
  }
  .front-page-main img {
    width: 50%;
  }
  .front-page-main p {
    font-size: 140%; 
  }
}

.dropdown-toggle::after {
  color: hsl(30, 60%, 90%);
}

.firebase-emulator-warning {
  display: none;
}

#diary-controls {
  background-color: white;
  border-radius: 0 4px;
  z-index: 100;
}

.diary-control-btn {
  border-radius: 5px;
  padding: 0.5em;
  background-color: hsl(30, 60%, 40%); 
  color: white;
  border: 1px solid hsl(30, 60%, 40%);
}

.diary-control-btn.inactive {
  background-color: white; 
  color: hsl(30, 60%, 40%) !important;
}

.diary-control-btn:focus {
  outline: none;
  box-shadow: none;
}

#diary-controls-toggle {
  width: 5em;
  left: 50%;
  transform: translate(-50%, 0);
}

#diary-controls-toggle div {
  width: 60px; 
  height: 60px; 
  border-radius: 8px;
  background-color: hsl(30, 60%, 30%); 
  border: 2px solid hsl(30, 50%, 40%);
  transform: translateY(50%) scaleY(0.5) rotate(45deg);
}

.diary-alert {
  position: fixed;
  max-width: 25em;
  width: 98%;
  top: 1em;
  left: 0;
  margin: 0 auto;
  right: 0;
  z-index: 10;
  opacity: 0.9;
}

.modal-open {
  overflow-y: auto;
}

.selected-tags-row {
  border-bottom: 1px solid lightgrey;
  display: flex;
}

.selected-tags-row {
  display: flex;
  flex-direction: row;
}

.selected-tags-tags {
  flex-grow: 1;
}

.selected-tags-star {
  margin-top: 2px;
  width: 2em;
  height: 2em;
  background-image: url(../img/svg/ui/hp_star_no_fill.svg);
  background-size: cover;
  min-width: 2em;
}

.selected-tags-star.starred {
  background-image: url(../img/svg/ui/hp_gold_star.svg);
}

.fancy-finish {
  background-image: url(../img/svg/ui/obb-3.png); 
  background-position: bottom;
  background-size: contain;
  background-repeat: no-repeat;
  height: 20px;
}

.entry-count-display {
  text-align: right;
  color: hsl(0, 0%, 70%);
  font-size: 80%;
}

.entry-count-display.warning {
  color: hsl(30, 80%, 50%);
}

.entry-count-display.max {
  color: hsl(0, 80%, 60%);
}

#autocomplete-textarea {
  min-height: 80px;
  color: #000;
}
#autocomplete-textarea a {
  text-decoration: none;
  font-weight: normal;
  color: #181818;
}
.dropdown-menu {
  min-width: 0;
}
.dropdown-menu .textcomplete-item a,
.dropdown-menu .textcomplete-item a:hover {
  cursor: pointer;
  font-weight: normal;
  color: #000;
  position: relative;
  padding: 4px 10px;
}
.dropdown-menu .textcomplete-item.active a {
  background: #F0F0F0;
}
/* Highlighting of the matching part
   of each search result */
.dropdown-menu .textcomplete-item a em {
  font-style: normal;
  font-weight: bold;
}
.dropdown-menu .textcomplete-footer {
  border-top: solid 1px #F0F0F0;
  margin-top: 3px;
}
.dropdown-menu .textcomplete-morematches {
  text-align: center;
  color: grey;
}

.tl-header-search {
  vertical-align: middle;
}

.search-glass {
  color: grey;
}

.modernizr.indexeddb, .modernizr.fetch {
  display: inline-block;
}

.modernizr.no-indexeddb, .modernizr.no-fetch {
  display: none;
}

.vc-page-outer {
  height: 100vh;
  display: flex;
  flex-direction: column;
}

.vc-content {
  flex: 1 0 auto;
  display: flex;
  flex-direction: column;
}

.front-page-main {
  display: flex;
  flex-direction: column;
  width: 100%;
  height: 100%;
  margin: auto;
  max-width: 40em;
  max-height: 34em;
  padding-bottom: 2em;
  border-radius: 5px;
}

.front-page-main img.testimonial {
  width: 70%;
  border: 20px solid hsl(30, 99%, 45%); 
  background-color: white;
  margin: auto;
}

.front-page-main .image-container {
  flex: 1 1 auto;
  border-radius: 5px;
}

.front-page-main .image {
  min-height: 160px;
  height: 100%;
  width: 80%;
  margin: auto;
  background-image: url("../img/testimonial/lion-round-9.jpg");
  background-size: contain;
  background-position: center;
  background-repeat: no-repeat;
}

.front-page-main .btn {
  padding: 0.5rem 2rem;
  margin: auto;
  background-color: hsl(30, 99%, 42%) !important; 
  font-size: 150%;
}

.refresh-spinner {
  width: 100%;
  height: 0;
  display: flex;
  background-image: url(../img/svg/Wedges-5s-200px.svg);
  background-size: contain;
  background-position: center ;
  background-repeat: no-repeat;
}

.noselect {
  -webkit-touch-callout: none; /* iOS Safari */
  -webkit-user-select: none; /* Safari */
  -khtml-user-select: none; /* Konqueror HTML */
  -moz-user-select: none; /* Old versions of Firefox */
  -ms-user-select: none; /* Internet Explorer/Edge */
  user-select: none; 
}

.noselect:hover {
  cursor: pointer;
  cursor: hand;
}

.noScroll {
  touch-action: none;
}

.tagAutoComplete {
  word-spacing: .3em;
}

.tagAutoComplete:placeholder-shown {
  word-spacing: unset;
}

.pressable {
  cursor: pointer;
}

.refresh-indicator {
  opacity: 0.32;
}

.diary-entry-image {
  width: 100%;
}